Home Forums Lush Theme Discussion & Support Drop down menus issue

This topic is: not a support question

This topic contains 11 replies, has 2 voices, and was last updated by  J B 5 years, 3 months ago.

Viewing 12 posts - 1 through 12 (of 12 total)
  • Author
    Posts
  • #4328

    J B
    Participant
    Post count: 6

    Upgraded to WordPress 4.0 and the drop down menus have stopped working. They appear when you hover over the title but you cant select any of the options.

    Not sure what other information you all require to help?

    #4329

    themeweaver
    Keymaster
    Post count: 730

    What is the url of the site?

    Lush works fine in WP4 as far as I can see. Working fine on other sites we know of.

    If there are no drop-downs it is possible something else has caused a Javascript error or something like that.

    Let us have the url and we can have a look.

    #4330

    J B
    Participant
    Post count: 6
    #4331

    themeweaver
    Keymaster
    Post count: 730

    It works fine here!

    Could be a plugin that loads some js when logged in (which means it is doing it badly!).

    #4332

    J B
    Participant
    Post count: 6

    Ive tried on several machines (with different OS) and the menu appears but you cant select any options. Ive had to put the page widget on the sidebar and one the main page because people were complaining they couldnt access some sections of the site (which whilst functional is ugly)

    And the feature slider has also disappeared.

    Plug in’s Ive got loaded on this site are

    Akismet, BB press, buddypress, google maps widget, sermon manager for wordpress, tinyMCE advanced, WP Dash message

    Im going to disable the WP Dash message plugin since it was the last I installed and see if that makes a difference.

    I appreciate any help you can give whilst I sort this out (albeit very slowly :))

    #4333

    J B
    Participant
    Post count: 6

    Ive also noticed that you cant comment on people’s updates in the community/forum/buddypress section

    Deactivating various plug ins didnt change things. I dont code, I can change colours in a CSS but thats about it. Am I looking at a reinstall of the theme and starting over?

    #4334

    themeweaver
    Keymaster
    Post count: 730

    Reinstalling the theme won’t make any difference. One of your plugins is creating JavaScript errors and preventing any other JS features from running. Your google maps don’t work either!

    On our browsers the menu shows but you can’t click menu sub-items because something is causing javascript errors on your page and it is not the theme. The error is in the BuddyPress default theme global.js. It may nto ultimately be the cause but that is where the error appears.

    For us to look further please send us a login to access your dashboard. Send to membership@themeloom.com or use the contact form on this site. Don’t post login info in the forum!

    #4336

    J B
    Participant
    Post count: 6

    Im assuming you need a login with admin privileges.

    Could uninstalling Buddypress be an option. We mainly want forums which are run by bbpress, if i uninstall buddypress how would that effect the site. Luckily we’re at the beginning, in the “set the site up” phase so if i have to rework the forums not much would be lost.

    #4337

    themeweaver
    Keymaster
    Post count: 730

    I can say that Buddypress is the cause. But well worth trying without it.

    To investigate further, yes I would need admin access.

    #4338

    J B
    Participant
    Post count: 6

    Yup deactivating Buddypress fixed the issue.
    Shame though, half the reason for choosing the Lush theme was the BuddyPress integration.

    #4339

    themeweaver
    Keymaster
    Post count: 730

    Actually this is a known bug in the latest version of BuddyPress.

    See https://buddypress.org/support/topic/jquery-bug-in-buddypress-2-1/

    There is a ticket for this too, so it needs fixing BuddyPress.

    The solution is to install an earlier version of BP or follow one of the actions to patch in links above.

    #4340

    J B
    Participant
    Post count: 6

    I might look into installing an earlier version of BP, patching might be a too much for me and my confidence/experience,

    For now Ive tweaked the site to suit the bbPress forums
    Thanks for the help, tis most appreciated

Viewing 12 posts - 1 through 12 (of 12 total)

You must be logged in to reply to this topic.